class_name CombatTactic extends Resource

@export var tactic_name: String = ""
@export var tactic_range: CombatTacticRange

func get_offensive_stats(_stats: DeployedUnitStats) -> Variant:
	return null

func get_relevant_defense(stats: DeployedUnitStats) -> int:
	return stats.phys_def

func deals_damage() -> bool:
	return false
